// partials
@import "../partials/variables";
@import "../partials/mixins";
@import "../partials/classes";

// 2. Include any default variable overrides here

//Bootstrap Default variable overrides

// for switch , radio & checkbox variables overrides start
$body-bg: #ebeef2;

$primary: $primary;
$secondary: $secondary;
$success: $success;
$info: $info;
$light: $light;
$dark: $dark;
$form-check-input-border: 2px solid $neutral__800;
$form-check-input-focus-border: 2px solid $primary__500;
$form-check-input-focus-box-shadow: none;

$form-check-input-checked-color: $neutral__100;
$form-check-input-checked-border-color: 2px solid $primary__500;
$form-check-input-checked-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='4.5 4 12 12'><path fill='none' stroke='#{$form-check-input-checked-color}' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M6 10l3 3l6-6'/></svg>");
$form-check-radio-checked-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='2.5' fill='#{$primary__500}'/></svg>");

$form-switch-color: $neutral__100 !default;
$form-switch-width: 2.083125em !default;
$form-switch-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='2.5' fill='#{$form-switch-color}'/></svg>") !default;

$form-switch-focus-color: $neutral__100 !default;
$form-switch-focus-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='2.5' fill='#{$form-switch-focus-color}'/></svg>") !default;

$form-switch-checked-color: $neutral__100 !default;
$form-switch-checked-bg-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'><circle r='2.5' fill='#{$form-switch-checked-color}'/></svg>") !default;

// for switch , radio & checkbox variables overrides

// tooltip variables overrides start

$tooltip-font-size: 0.75rem;
$tooltip-max-width: 200px;
$tooltip-color: $neutral__100;
$tooltip-bg: $neutral__800;
$tooltip-border-radius: 4px;
$tooltip-opacity: 1;
$tooltip-padding-y: 6px;
$tooltip-padding-x: 16px;
$tooltip-margin: 0;

$tooltip-arrow-width: 0.8rem;
$tooltip-arrow-height: 0.4rem;
$tooltip-arrow-color: $tooltip-bg;

// tooltip variables overrides end

// popover variables overrides start

// $popover-font-size: $font-size-sm;
// $popover-bg: $white;
// $popover-max-width: 276px;
// $popover-border-width: $border-width;
// $popover-border-color: rgba($black, 0.2);
// $popover-border-radius: $border-radius-lg;
// $popover-inner-border-radius: subtract(
//   $popover-border-radius,
//   $popover-border-width
// );
// $popover-box-shadow: $box-shadow;

// $popover-header-bg: shade-color($popover-bg, 6%);
// $popover-header-color: $headings-color;
// $popover-header-padding-y: 0.5rem;
// $popover-header-padding-x: $spacer;

// $popover-body-color: $body-color;
// $popover-body-padding-y: $spacer;
// $popover-body-padding-x: $spacer;

// $popover-arrow-width: 1rem;
// $popover-arrow-height: 0.5rem;
// $popover-arrow-color: $popover-bg;

// $popover-arrow-outer-color: fade-in($popover-border-color, 0.05);

// popover variables overrides end

// Navs & tabs variables overrides start

// $nav-link-padding-y: 0.5rem;
// $nav-link-padding-x: 1rem;
// $nav-link-font-size: null;
// $nav-link-font-weight: null;
// $nav-link-color: $link-color;
// $nav-link-hover-color: $link-hover-color;
// $nav-link-transition: color 0.15s ease-in-out,
//   background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
// $nav-link-disabled-color: $gray-600;

$nav-tabs-border-color: transparent;
$nav-tabs-border-width: 0;
$nav-tabs-border-radius: 0;
$nav-tabs-link-hover-border-color: transparent transparent red transparent;
$nav-tabs-link-active-color: $blue__700;
$nav-tabs-link-active-bg: $red__500;
$nav-tabs-link-active-border-color: $blue__300 $blue__300
  $nav-tabs-link-active-bg;

// $nav-pills-border-radius: $border-radius;
// $nav-pills-link-active-color: $component-active-color;
// $nav-pills-link-active-bg: $component-active-bg;

// Navs & tabs variables overrides end

@import "../../../node_modules/bootstrap/scss/bootstrap";
